package com.cim.idm.wmspackage.material.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialBatch extends FieldAccessor implements
		DataInfo<MaterialBatchKey> {
	
	private MaterialBatchKey key;
	
	private String materialSpecName;
	private String materialLocationName;
	private double createQuantity;
	private double quantity;
	private String materialState;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private Timestamp createTime;
	private String createUser;
	private String reasonCodeType;
	private String reasonCode;
//	private String receiveNo;
//	private String receiveDetailNo;
//	private String receiveBatchNo;
//	private Timestamp materialCreateTime;
//	private Timestamp materialDeadline;
//	private String TREventNo;
//	private String QAFlag;
//	private String QALotName;
	
	@Override
	public MaterialBatchKey getKey() {
		return key;
	}

	@Override
	public void setKey(MaterialBatchKey keyInfo) {
		this.key = keyInfo;
	}
	
	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}

	public String getMaterialLocationName() {
		return materialLocationName;
	}

	public void setMaterialLocationName(String materialLocationName) {
		this.materialLocationName = materialLocationName;
	}

	public double getCreateQuantity() {
		return createQuantity;
	}

	public void setCreateQuantity(double createQuantity) {
		this.createQuantity = createQuantity;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public String getMaterialState() {
		return materialState;
	}

	public void setMaterialState(String materialState) {
		this.materialState = materialState;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

//	public String getReceiveNo() {
//		return receiveNo;
//	}
//
//	public void setReceiveNo(String receiveNo) {
//		this.receiveNo = receiveNo;
//	}
//
//	public String getReceiveDetailNo() {
//		return receiveDetailNo;
//	}
//
//	public void setReceiveDetailNo(String receiveDetailNo) {
//		this.receiveDetailNo = receiveDetailNo;
//	}
//
//	public String getReceiveBatchNo() {
//		return receiveBatchNo;
//	}
//
//	public void setReceiveBatchNo(String receiveBatchNo) {
//		this.receiveBatchNo = receiveBatchNo;
//	}
//
//	public Timestamp getMaterialCreateTime() {
//		return materialCreateTime;
//	}
//
//	public void setMaterialCreateTime(Timestamp materialCreateTime) {
//		this.materialCreateTime = materialCreateTime;
//	}
//
//	public Timestamp getMaterialDeadline() {
//		return materialDeadline;
//	}
//
//	public void setMaterialDeadline(Timestamp materialDeadline) {
//		this.materialDeadline = materialDeadline;
//	}
//
//	public String getTREventNo() {
//		return TREventNo;
//	}
//
//	public void setTREventNo(String tREventNo) {
//		TREventNo = tREventNo;
//	}
//
//	public String getQAFlag() {
//		return QAFlag;
//	}
//
//	public void setQAFlag(String qAFlag) {
//		QAFlag = qAFlag;
//	}
//
//	public String getQALotName() {
//		return QALotName;
//	}
//
//	public void setQALotName(String qALotName) {
//		QALotName = qALotName;
//	}

}
